> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/product-catalog-api/category.md).

# Category

The Category object represents a software category or sub-category. It is used to classify software in the Public Catalog.

This object contains the following attributes:

<table data-search="false"><thead><tr><th width="179">Field</th><th width="155">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string, <a data-footnote-ref href="#user-content-fn-1">core</a></td><td>(Read-only) An identifier for the category.</td></tr><tr><td><code>externalId</code></td><td>string</td><td>Identifier in the external system.</td></tr><tr><td><code>parentCategory</code></td><td>object</td><td>Represents the parent <a href="/pages/n9oGOEnyNi6NDrC2SFFW"><code>category</code></a>. If <code>null</code>, then this is a top-level category. </td></tr><tr><td><code>name</code></td><td>string, core</td><td>A user-friendly name of the category.</td></tr><tr><td><code>icon</code></td><td>string, core</td><td>Icon to be shown on grids and info cards </td></tr><tr><td><code>description</code></td><td>string</td><td>A short description of the category </td></tr><tr><td><code>longDescription</code></td><td>string</td><td>A long description of the category </td></tr><tr><td><code>featured</code></td><td>bool</td><td>Indicates whether this product should be featured on the UI. </td></tr><tr><td><code>status</code></td><td>string, core</td><td><p>Indicates the status of the category. Allowed values are:</p><ul><li><code>Draft</code></li><li><code>Published</code></li><li><code>Unpublished</code></li><li><code>Deleted</code></li></ul></td></tr><tr><td><code>audit</code></td><td>object</td><td>(Read-only) Represents the <a href="/pages/RnSJqP4ZqAW7vD2MWeVM"><code>audit</code></a> object.</td></tr><tr><td><code>revision</code></td><td>integer, core</td><td>The entity's revision number.</td></tr></tbody></table>

## Example

{% code title="CATEGORY OBJECT" overflow="wrap" lineNumbers="true" %}

```json
{
  "id": "CAT-1671-3887",
  "externalId": "arK9uX45",
  "name": "Development",
  "parentCategory": {
    "id": "CAT-1671-3886",
    "name": "Productivity"
  },
  "description": "Software development tools",
  "status": "Draft",
  "revision": 2,
  "audit": {
    "created": {
      "at": "2024-04-08T06:30:05.807Z",
      "by": {
        "id": "USR-2172-2499",
        "revision": 1,
        "name": "John User"
      }
    },
    "updated": {
      "at": "2024-05-16T09:17:36.406Z",
      "by": {
        "id": "TKN-3836-7769",
        "revision": 2,
        "name": "My token"
      }
    },
    "deleted": {
      "at": "2024-05-17T09:17:36.406Z",
      "by": {
        "id": "TKN-3836-7769",
        "revision": 3,
        "name": "My token"
      }
    }
  }
}

```

{% endcode %}

[^1]: **Core** indicates the field is part of the base object schema. This is not the same as “required”.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/product-catalog-api/category.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
